Link physical card to user
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
encryptedPan: 'encrypted_pan_value',
encryptedKey: 'encrypted_key_value',
iv: 'iv_value'
})
};
fetch('https://api.gnosispay.com/api/v1/cards/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/cards/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encryptedPan": "encrypted_pan_value",
"encryptedKey": "encrypted_key_value",
"iv": "iv_value"
}
'import requests
url = "https://api.gnosispay.com/api/v1/cards/verify"
payload = {
"encryptedPan": "encrypted_pan_value",
"encryptedKey": "encrypted_key_value",
"iv": "iv_value"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards/verify"
payload := strings.NewReader("{\n \"encryptedPan\": \"encrypted_pan_value\",\n \"encryptedKey\": \"encrypted_key_value\",\n \"iv\": \"iv_value\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/cards/verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"encryptedPan\": \"encrypted_pan_value\",\n \"encryptedKey\": \"encrypted_key_value\",\n \"iv\": \"iv_value\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"encryptedPan\": \"encrypted_pan_value\",\n \"encryptedKey\": \"encrypted_key_value\",\n \"iv\": \"iv_value\"\n}"
response = http.request(request)
puts response.read_body{
"cardId": "clp3j1f9a0000a1cdh6ezx2qv"
}Card Management
Link physical card to user
deprecated
Verifies a card by decrypting PAN details and associating it with the authenticated user
POST
/
api
/
v1
/
cards
/
verify
Link physical card to user
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
encryptedPan: 'encrypted_pan_value',
encryptedKey: 'encrypted_key_value',
iv: 'iv_value'
})
};
fetch('https://api.gnosispay.com/api/v1/cards/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/cards/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encryptedPan": "encrypted_pan_value",
"encryptedKey": "encrypted_key_value",
"iv": "iv_value"
}
'import requests
url = "https://api.gnosispay.com/api/v1/cards/verify"
payload = {
"encryptedPan": "encrypted_pan_value",
"encryptedKey": "encrypted_key_value",
"iv": "iv_value"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards/verify"
payload := strings.NewReader("{\n \"encryptedPan\": \"encrypted_pan_value\",\n \"encryptedKey\": \"encrypted_key_value\",\n \"iv\": \"iv_value\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/cards/verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"encryptedPan\": \"encrypted_pan_value\",\n \"encryptedKey\": \"encrypted_key_value\",\n \"iv\": \"iv_value\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"encryptedPan\": \"encrypted_pan_value\",\n \"encryptedKey\": \"encrypted_key_value\",\n \"iv\": \"iv_value\"\n}"
response = http.request(request)
puts response.read_body{
"cardId": "clp3j1f9a0000a1cdh6ezx2qv"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successfully verified and associated the card
The unique identifier of the verified card
Example:
"clp3j1f9a0000a1cdh6ezx2qv"
⌘I